const Site = require('../models/Site');
const fs = require('fs');
const path = require('path');
const glob = require('glob');

module.exports = (config) => {
  var siteConfig = new Site(config);
  const assetFolders = [siteConfig.layouts, siteConfig.partials, siteConfig.snippets];

  assetFolders.forEach((folderPath) => {
    var filenames;

    if (fs.existsSync(folderPath)) {
      var pattern = `${folderPath}/**/*.*`;
      filenames = glob.sync(pattern);
    }

    if (filenames) {
      filenames.forEach((filename) => {
        siteConfig.fileDependencies.push(path.join(folderPath, filename));
      });
    }
  });

  return siteConfig;
};
